@ECHO OFF
echo -----------------------------------------------
echo Call XINFO BIF to create HTML documentation
echo -----------------------------------------------
REM Calling this from directory of BIF definitions files

REM Set name of BIF definitions
SET BIF=BCH_Docu_Automic

REM Set Name of Workflow to create documentation
REM If handover outside use %1% variable
if X%1%X == XX (
    Echo No variable handover and default used
    SET JOBP=EXPL_MASTER
) else (
    Echo Variable %1%  used
    SET JOBP=%1%
)

REM Set path to XINFO PC Client 
SET PATH_EXE=..\xipcc\

REM Set path to BIF file
SET PATH_BIF=.\

REM Switch to BIF Path
cd /D "%PATH_BIF%"

REM Create output directory if not exists
if not exist .\out\%BIF% md .\out\%BIF%

REM Delete old files in Output directory
del .\out\%BIF%\*.* /Q

REM Call XINFO PC Client in silent mode
"%PATH_EXE%xipcc.exe" "%PATH_BIF%%BIF%.bif" JOBP=%JOBP% /silent
echo Ending RC=%ERRORLEVEL%


